/*
 *   @(#) $Id: BaseIoConnectorConfig.java 372449 2006-01-26 05:24:58Z trustin $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.common.support;

import org.apache.mina.common.IoConnectorConfig;

/**
 * A base implementation of {@link IoConnectorConfig}.
 * 
 * @author The Apache Directory Project (dev@directory.apache.org)
 * @version $Rev: 372449 $, $Date: 2006-01-26 14:24:58 +0900 (Thu, 26 Jan 2006) $
 */
public abstract class BaseIoConnectorConfig extends BaseIoServiceConfig implements IoConnectorConfig
{
    private int connectTimeout = 60; // 1 minute

    protected BaseIoConnectorConfig()
    {
        super();
    }

    public int getConnectTimeout()
    {
        return connectTimeout;
    }

    public long getConnectTimeoutMillis()
    {
        return connectTimeout * 1000L;
    }

    public void setConnectTimeout( int connectTimeout )
    {
        if( connectTimeout <= 0 )
        {
            throw new IllegalArgumentException( "connectTimeout: " + connectTimeout );
        }
        this.connectTimeout = connectTimeout;
    }    
}
